#ifndef _INI_PARSER_H_
#define _INI_PARSER_H_

#include "Hub.h"

char *GetIniKeyString(const char *title, const char *key, const char *filename);
int GetIniKeyInt(const char *title, const char *key, const char *filename);
int GetIniKeyHex(const char *title, const char *key, const char *filename);
int GetCurrentPath(char buf[], const char *pFileName);
bool GetFlashInfo(const char *title,
                  const char *filename,
                  unsigned char flashinfo[FLASH_TYPE_NUMBER][FALSH_INFO_COUNT],
                  int *flashCount);
char *trimwhitespace(char *str);
bool ReadFlashInfoFromIni();
void GetConfigFilePath(void);
void ReadTargetFromIni();

#endif /* _INI_PARSER_H_ */
